using System;
using System.Linq;

namespace Takmicenje
{

    public class Program
    {
        static bool Funkcija(int[] a, string[] s)
        {
            int l = int.Parse(s[0]) - 1;
            int d = int.Parse(s[1]) - 1;
            bool moze_da_brise = true;
            while (l + 1 < d)
            {
                if (a[l] > a[l + 1])
                {
                    if (moze_da_brise)
                    {
                        moze_da_brise = false;
                    }
                    else
                    {
                        return false;
                    }
                }
                if (a[d] < a[d - 1])
                {
                    if (moze_da_brise)
                    {
                        moze_da_brise = false;
                    }
                    else
                    {
                        return false;
                    }
                }

                d--;
                l++;
            }
            if (!moze_da_brise && a[l] > a[d]) return false;
            return true;
        }
        static void FunkcijaISpis(int[] a, string[] s)
        {
            if (Funkcija(a, s))
            {
                Console.WriteLine("DA");
            }
            else
            {
                Console.WriteLine("NE");
            }
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            var s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(s[i]);
            }
            int q = int.Parse(Console.ReadLine());
            for (int i = 0; i < q; i++)
            {
                s = Console.ReadLine().Split();
                FunkcijaISpis(a, s);
            }
        }
    }
}